]> wolfpit.net Git - tool/Arch-pacman/.git/commit
libalpm: introduce a usage level for repos
authorDave Reisner <dreisner@archlinux.org>
Sat, 9 Mar 2013 23:28:28 +0000 (18:28 -0500)
committerAllan McRae <allan@archlinux.org>
Tue, 3 Sep 2013 23:51:20 +0000 (09:51 +1000)
commit106d0fc541ad21306f5722e0178171eef6a222e9
tree6529a3b3573179ad9355e008181e724fe98ce853
parent5f80d7afbd45100f5b5d28e43a9d9a80dde4b559
libalpm: introduce a usage level for repos

This defines a level of interest a user has in a repository. These are
described by the bitmask flags in the alpm_db_usage_t enum:

  ALPM_DB_USAGE_SEARCH: repo is valid for searching
  ALPM_DB_USAGE_INSTALL: repo is valid for installs (e.g. -S pkg)
  ALPM_DB_USAGE_UPGRADE: repo is valid for sysupgrades
  ALPM_DB_USAGE_ALL: all of the above are valid

Explicitly listing the contents of a repo will always be valid, and the
repo will always be refreshed appropriately on sync operations.

Signed-off-by: Dave Reisner <dreisner@archlinux.org>
Signed-off-by: Allan McRae <allan@archlinux.org>
lib/libalpm/alpm.h
lib/libalpm/be_local.c
lib/libalpm/be_sync.c
lib/libalpm/db.c
lib/libalpm/db.h
lib/libalpm/deps.c
lib/libalpm/sync.c
test/pacman/tests/sync051.py [new file with mode: 0644]
test/pacman/tests/sync052.py [new file with mode: 0644]